# Fetch a Webhook

Retrieve the details of an existing Webhook.

Endpoint: GET /webhooks/{webhook_id}
Version: 2022-02-01
Security: BasicAuth

## Path parameters:

  - `webhook_id` (string, required)
    The ID of Webhook object.

## Header parameters:

  - `Finix-Version` (string)
    Specify the API version of your request. For more details, see Versioning.
    Example: "2022-02-01"

## Response 200 fields (application/json):

  - `id` (string)
    The ID of the resource.

  - `created_at` (string)
    Timestamp of when the object was created.

  - `updated_at` (string)
    Timestamp of when the object was last updated.

  - `application` (string)
    ID of the Application the resource was created under.

  - `authentication` (object)
    The [authentication settings](/additional-resources/developers/webhooks/integrating-into-webhooks#authenticating-webhooks) that are used to send webhook events.

  - `authentication.type` (string)
    The type of authentication the webhook will use:
- NONE: No authentication will be used.
- BASIC: Basic authentication.
- BEARER: Oauth2's Bearer Token.
    Enum: "NONE", "BASIC", "BEARER"

  - `enabled` (boolean)
    Details if the Webhook is enabled.

- true: Events are being sent to the url.
- false: Events are not being sent.

  - `enabled_events` (array)
    A list of events the [webhook is explicitly enabled for](/additional-resources/developers/webhooks/integrating-into-webhooks#filtering-webhooks).

  - `enabled_events.entity` (string)
    The entity type for the enabled event, either transfer or merchant. There can only be one enabled event object for a given entity.

  - `enabled_events.types` (array)
    A list of event types you want to receive for the specified entity. 

- When entity is set to transfers, the acceptable value is created. 
- When entity is set to merchant, the acceptable values are created and underwritten.

  - `is_accepting_events` (boolean)
    Whether the webhook is accepting events.

  - `nickname` (string)
    A human-readable name for the webhook.

  - `previous_secret_expires_at` (string,null)
    The time when the previous secret_signing_key will expire. This is null when the webhook is initially created.

  - `secret_signing_key` (string,null)
    The secret signing key that gets used to verify webhook events.

  - `url` (string)
    The HTTP or HTTPS URL where callbacks (i.e. events) will be sent via POST request (max 120 characters).

  - `_links` (object)
    For your convenience, every response includes several URLs which link to resources relevant to the request. You can use these _links to make your follow-up requests and quickly access relevant IDs.

  - `_links.application` (object)
    Link to the Application the request was made under.

  - `_links.application.href` (string)

  - `_links.self` (object)
    Link to the resource that was used in the request.

  - `_links.self.href` (string)

## Response 401 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 403 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 404 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 406 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.


